summaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-08-06 13:09:29 +1000
committerGitHub <noreply@github.com>2020-08-06 13:09:29 +1000
commit79c56b71c4567ce947e755b5fbe6d0b4eeffd046 (patch)
treea0e2d365569b05020f076bd0d3549eb4b477acf7 /.travis
parent921f9f040c717912330099bf826be1ac0626e9bd (diff)
Fix Static Netdata to correctly build with Netdata Cloud support. (#9381)
* Revert "Revert "Override linker and include paths for static builds. (#9311)" (#9343)" This reverts commit 36d5e40dca91a93963e4d96f07af3e38803615d0. * Run git clean before building anything * Fix checking out openssl and skip if bind-mounted sources already exist at the given path * Add --require-cloud flag to the static build scripts * Add CMAKEFLAGS support to the installer to customize how to build libwebsockets for static builds * Update packaging/makeself/jobs/50-bash-4.4.18.install.sh Co-authored-by: Andrew Moss <1043609+amoss@users.noreply.github.com> * Fix remaining other two tyos Co-authored-by: Andrew Moss <1043609+amoss@users.noreply.github.com>
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/create_artifacts.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/.travis/create_artifacts.sh b/.travis/create_artifacts.sh
index ce764469f9..32b9a0bb70 100755
--- a/.travis/create_artifacts.sh
+++ b/.travis/create_artifacts.sh
@@ -17,15 +17,14 @@ set -e
TOP_LEVEL=$(basename "$(git rev-parse --show-toplevel)")
CWD=$(git rev-parse --show-cdup || echo "")
if [ -n "${CWD}" ] || [ ! "${TOP_LEVEL}" == "netdata" ]; then
- echo "Run as .travis/$(basename "$0") from top level directory of netdata git repository"
- exit 1
+ echo "Run as .travis/$(basename "$0") from top level directory of netdata git repository"
+ exit 1
fi
if [ ! "${TRAVIS_REPO_SLUG}" == "netdata/netdata" ]; then
- echo "Beta mode on ${TRAVIS_REPO_SLUG}, not running anything here"
- exit 0
-fi;
-
+ echo "Beta mode on ${TRAVIS_REPO_SLUG}, not running anything here"
+ exit 0
+fi
echo "--- Initialize git configuration ---"
git checkout "${1-master}"
@@ -46,12 +45,14 @@ BASENAME="netdata-$(git describe)"
# See https://github.com/travis-ci/travis-ci/issues/4704#issuecomment-348435959 for details.
python -c 'import os,sys,fcntl; flags = fcntl.fcntl(sys.stdout, fcntl.F_GETFL); fcntl.fcntl(sys.stdout, fcntl.F_SETFL, flags&~os.O_NONBLOCK);'
echo "--- Create tarball ---"
+command -v git > /dev/null && [ -d .git ] && git clean -d -f
autoreconf -ivf
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/libexec --with-zlib --with-math --with-user=netdata CFLAGS=-O2
make dist
mv "${BASENAME}.tar.gz" artifacts/
echo "--- Create self-extractor ---"
+command -v git > /dev/null && [ -d .git ] && git clean -d -f
./packaging/makeself/build-x86_64-static.sh
# Needed for GCS
@@ -61,6 +62,6 @@ cp packaging/version artifacts/latest-version.txt
cd artifacts
ln -s "${BASENAME}.tar.gz" netdata-latest.tar.gz
ln -s "${BASENAME}.gz.run" netdata-latest.gz.run
-sha256sum -b ./* >"sha256sums.txt"
+sha256sum -b ./* > "sha256sums.txt"
echo "checksums:"
cat sha256sums.txt